Page MenuHomePhabricator

"system domain-name" is not reflected in /etc/resolv.conf
Closed, ResolvedPublicBUG

Description

With set system domain-name foo.net we should get a line search foo.net in /etc/resolv.conf

Details

Difficulty level
Normal (likely a few hours)
Version
VyOS 1.2.0-EPA2
Why the issue appeared?
Will be filled on close

Event Timeline

c-po created this task.Jan 11 2019, 7:57 AM
pasik added a subscriber: pasik.Jan 11 2019, 12:09 PM
syncer triaged this task as Low priority.Jan 12 2019, 6:31 PM
syncer edited projects, added VyOS 1.3 Equuleus; removed VyOS 1.2 Crux.
c-po added a comment.Feb 12 2019, 5:46 AM

Something seems to be totally off with set system domain-name and set system domain-search domain

Setting both gives us:

[ system domain-search domain ]
System configuration error.  Both 'domain-name' and 'domain-search' are specified, but only one of these mutually exclusive parameters is allowed.

But its valid according to the Linux resolv.conf(5) man page.

https://linux.die.net/man/5/resolv.conf

To be changed bahavior:

set system domain-name should result in an /etc/resolv.conf entry like:

domain foo.com
search foo.com

set system domain-search domain bar.com should result in an /etc/resolv.conf entry like:

search bar.com

When both are present, the file should look like:

domain foo.com
search foo.com bar.com

Taking the limit into account

The search list is currently limited to six domains with a total of 256 characters.

c-po claimed this task.Feb 12 2019, 5:46 AM
c-po changed Difficulty level from Unknown (require assessment) to Normal (likely a few hours).
c-po closed this task as Resolved.Feb 16 2019, 7:33 PM
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.1) board.